Subject: Re: Program errors
From: James Woodcock <[email-masked]>
To: [email-masked]
Date: Tue, 01 Jun 1999 09:43:49 +0000

>On Fri, May 28, 1999 at 04:07:26PM +0000, James Woodcock wrote:
>>I am currently trying to convert our companies product from various Unix
>>systems.  I am trying to compile one program (that is archaic) & works
>>fine
>>under Linux, Solaris etc, etc.  Under Windows it crashes before it gets
>>to
>>main().  I think it also crashes before it gets to mainCRTStartup().  If
>>I set
>>"STRACE=1", then run the program I get no debug output (it crashes
>>before even that
>>kicks in).  Does anybody know what might cause this or how to fix it?
>
>This would be one of the many cases where running the program under gdb
>would probably prove useful.
>
>That's how you debug programs on UNIX and it's how you debug programs
>under Cygwin, as well.
>
>cgf

Yes.  Thank you(!)  I originally found out it crashes before
mainCRTStartup 
by running it through gdb after reading the cygwin FAQ.  As it runs on
both 
Linux and Solaris I assumed it would be a compiler quirk.  I'm not
altogether
sure how I debug code that appears before the stuff I've written.

gdb tells me:
Program received signal SIGSEGV, Segmentation fault
0x77f0528c in ?? ()

Any further assistance would be apreciated.
James Woodcock
-- 
CGram Software
69 Glanbrydan Ave
Uplands
Swansea

Tel: 01792 518000
Fax: 01792 518001
e-mail: [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]